Legacy (v0)
Get company media
Get a specific media item by ID
GET
/
api
/
company
/
media
/
{id}
Get company media
curl --request GET \
--url https://api.fluid.app/api/company/media/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fluid.app/api/company/media/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fluid.app/api/company/media/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fluid.app/api/company/media/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fluid.app/api/company/media/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.fluid.app/api/company/media/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fluid.app/api/company/media/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": 48213,
"label": null,
"display_tag": null,
"user_id": null,
"media_type": "share",
"media_format": "mp4",
"pdf_url": null,
"kind": "video",
"visibility": "open",
"duration": 94,
"cta_url": "https://shop.dundermifflin.com/products/20lb-copy-paper",
"cta_button_text": "Shop copy paper",
"cta_enabled": true,
"cta_action_type": "visit_on_click",
"video_shopping_enabled": false,
"prompts_enabled": true,
"settings": null,
"application_theme_template_id": null,
"created_at": "2026-09-14T15:32:08Z",
"slug": "why-dunder-mifflin-paper",
"custom_slug": false,
"publish_at": null,
"video_url": "https://cdn.fluid.app/dunder-mifflin/media/why-dunder-mifflin-paper.mp4",
"title": "Why Dunder Mifflin Paper?",
"description": {
"id": 77120,
"name": "description",
"body": "<div>Michael Scott explains why Scranton trusts Dunder Mifflin 20lb Copy Paper.</div>",
"record_type": "Medium",
"record_id": 48213,
"locale": "en",
"created_at": "2026-09-14T15:32:08Z",
"updated_at": "2026-09-14T15:32:08Z"
},
"stripped": "Michael Scott explains why Scranton trusts Dunder Mifflin 20lb Copy Paper.",
"active": true,
"image_url": "https://cdn.fluid.app/dunder-mifflin/media/why-dunder-mifflin-paper.jpg",
"share_link": null,
"views": 0,
"leads": 0,
"watch": null,
"video_status": null,
"preview_link": "https://shop.dundermifflin.com/home/media/why-dunder-mifflin-paper?preview=true",
"ranks": [],
"countries": [
{
"id": 233,
"iso": "US",
"name": "United States"
}
],
"tags": [
{
"id": 3120,
"name": "Paper"
}
],
"subtitles": {},
"prompts": [],
"attached_shareables": []
}{
"message": "<string>"
}Response
Medium · object | null
Success
Media resource with user-specific data and associations
⌘I
Get company media
curl --request GET \
--url https://api.fluid.app/api/company/media/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fluid.app/api/company/media/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fluid.app/api/company/media/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fluid.app/api/company/media/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fluid.app/api/company/media/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.fluid.app/api/company/media/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fluid.app/api/company/media/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": 48213,
"label": null,
"display_tag": null,
"user_id": null,
"media_type": "share",
"media_format": "mp4",
"pdf_url": null,
"kind": "video",
"visibility": "open",
"duration": 94,
"cta_url": "https://shop.dundermifflin.com/products/20lb-copy-paper",
"cta_button_text": "Shop copy paper",
"cta_enabled": true,
"cta_action_type": "visit_on_click",
"video_shopping_enabled": false,
"prompts_enabled": true,
"settings": null,
"application_theme_template_id": null,
"created_at": "2026-09-14T15:32:08Z",
"slug": "why-dunder-mifflin-paper",
"custom_slug": false,
"publish_at": null,
"video_url": "https://cdn.fluid.app/dunder-mifflin/media/why-dunder-mifflin-paper.mp4",
"title": "Why Dunder Mifflin Paper?",
"description": {
"id": 77120,
"name": "description",
"body": "<div>Michael Scott explains why Scranton trusts Dunder Mifflin 20lb Copy Paper.</div>",
"record_type": "Medium",
"record_id": 48213,
"locale": "en",
"created_at": "2026-09-14T15:32:08Z",
"updated_at": "2026-09-14T15:32:08Z"
},
"stripped": "Michael Scott explains why Scranton trusts Dunder Mifflin 20lb Copy Paper.",
"active": true,
"image_url": "https://cdn.fluid.app/dunder-mifflin/media/why-dunder-mifflin-paper.jpg",
"share_link": null,
"views": 0,
"leads": 0,
"watch": null,
"video_status": null,
"preview_link": "https://shop.dundermifflin.com/home/media/why-dunder-mifflin-paper?preview=true",
"ranks": [],
"countries": [
{
"id": 233,
"iso": "US",
"name": "United States"
}
],
"tags": [
{
"id": 3120,
"name": "Paper"
}
],
"subtitles": {},
"prompts": [],
"attached_shareables": []
}{
"message": "<string>"
}